Skip to main content
Use these operations to interact with teams in Cortex. This page lists operations specific to team entities. See Catalog entities for API operations relating to all entity types (including teams).

Required permissions

Your API key must have the Edit entities permission.

Operations

Retrieve list of teams or team details

GET /api/v1/teams

Retrieve team details

GET /api/v1/teams/{tagOrId}

Create a team

POST /api/v1/teams

[Cortex managed teams] Update members in team

PUT /api/v1/teams/{tagOrId}/members

[Cortex managed teams] Update members in team

PUT /api/v1/teams/members

Update team metadata

PUT /api/v1/teams

Update team metadata

PUT /api/v1/teams/{tagOrId}

Archive team

PUT /api/v1/teams/{tagOrId}/archive

Unarchive team

PUT /api/v1/teams/{tagOrId}/unarchive

Delete team

DELETE /api/v1/teams

Delete team by tag or ID

DELETE /api/v1/teams/{tagOrId}
Last modified on September 24, 2026